<?php
/*
+--------------------------------------------------------+
| O-BLOG - PHP Blog System                               |
| Copyright (c) 2004 phpBlog.CN                          |
| Support : http://www.phpBlog.cn                        |
| Author : ShiShiRui (shishirui@163.com)                 |
|--------------------------------------------------------+
*/
//error_reporting(7);

if (!defined('BLOG')) {
	die('Access Denied');
}

if(isset($articleName)) {
	$blogName = $articleName;
}
if(isset($subtitle)) {
	$blogName .= " ".$subtitle;
}


if (!file_exists("cache/class_v.php"))
{
	cache_class_v();
}

require("cache/class_v.php");

$blogClass = @implode(" | ",$class_v);

$headerT = template('header');
$headerT->assign($ads);
$headerT->assign("charset",$charset);
$headerT->assign("blogname",$blogName);
$headerT->assign("blogclass",$blogClass);
$headerT->assign("blogvar",$var);
$headerT->assign("blogurl",$blogurl);
$headerT->assign("id",$id);
$headerT->assign("navi",$config['navigator']);
$headerT->assign("static_blog_name",$static_blog_name);
$headerT->assign("discribe",$discribe);
$headerT->assign("max_image_width",$config['max_image_width']);

$header_data = $headerT->result();
?>